# Data Object - ConverterHelperVmNetworkParams

Property of
  ConverterConversionParams, ConverterParamsAgentCloningParams
Extends
  DynamicData
See also
  ConverterHelperVmNetworkParamsStaticIpv6NetworkParams, ConverterHelperVmNetworkParamsStaticNetworkParams
Since
  Converter API 1.0

## Data Object Description

HelperVm network configuration information for Linux P2V.

Properties

Name | Type | Description
--- | --- | ---
dnsServers* | xsd:string[] | DNS servers, listed in order of preference. Contains both IPv4 and IPv6 addresses. Since Converter API 6.0
dnsSuffixes* | xsd:string[] | List of DNS name resolution search suffixes. Since Converter API 6.0
ipv6ConfigType* | xsd:string | Configuration type. Always from Ipv6ConfigType. Meaningful only if useIpv6 evaluates to true. The default is statefulDhcp. Since Converter API 6.0
staticIpv6NetworkParams* | ConverterHelperVmNetworkParamsStaticIpv6NetworkParams | Static IPv6 network configuration params. Meaningful only if useIpv6 evaluates to true. Must be set iff ipv6ConfigType is set to manual. Since Converter API 6.0
staticNetworkParams* | ConverterHelperVmNetworkParamsStaticNetworkParams | Static IPv4 network configuration params. Meaningful only if useIpv4 evaluates to true. Must be set if useIpv4 evaluates to true and useDhcp is false.
useDhcp* | xsd:boolean | True if the HelperVm should use DHCP to obtain its IPv4 configuration, false if a user specified static IPv4 configuration is to be used instead. Meaningful only if useIpv4 evaluates to true. The default is true.
useIpv4* | xsd:boolean | True if HelperVM will set up IPv4 network configuration. The default is true. Since Converter API 6.0
useIpv6* | xsd:boolean | True if HelperVM will set up IPv6 network configuration. The default is true. Since Converter API 6.0
Properties inherited from DynamicData
None

*Need not be set